<?php

include_once("Base.php");

class HeaderLabel {
	
	var $registro = NULL;
	var $arquivoDeRemessa = NULL;
	var $literalRemessa = NULL;
	var $codServico = NULL;
	var $literalServico = NULL;
	var $codEmpresa = NULL;
	var $nomeEmpresa = NULL;
	var $numeroBradesco = NULL;
	var $nomeBanco = NULL;
	var $dataGravacaoArq = NULL;
	var $branco1 = NULL;
	var $identificacaoSistema = NULL;
	var $numeroSequencialArq = NULL;
	var $branco2 = NULL;
	var $numeroSequecialRegistro = NULL;



	function setRegistro($value = "0") {

		$tamanhoCampo = 1;

		if(Base::checkTamanho($value, $tamanhoCampo)) {

			$this->registro = Base::preencherNumeros($value, $tamanhoCampo);
		}
		else {

			echo "Tamanho do Registro Incorreto. Campo 'Registro'.";
		}
	}



	function setArqRemessa($value = "1") {

		$tamanhoCampo = 1;

		if(Base::checkTamanho($value, $tamanhoCampo)) {


			$this->arquivoDeRemessa = Base::preencherNumeros($value, $tamanhoCampo);
		}
		else {

			echo "Tamanho do Registro Incorreto. Campo 'Arquivo de Remessa'.";
		}
	}



	function setLiteralRemessa($value = 'REMESSA') {

		$tamanhoCampo = 7;

		if(Base::checkTamanho($value, $tamanhoCampo)) {

			$this->literalRemessa = Base::preencherStrings($value, $tamanhoCampo);
		}
		else {

			echo "Tamanho do Registro Incorreto. Campo 'Literal de Remessa'.";
		}
	}



	function setCodigoServico($value = '1') {

		$tamanhoCampo = 2;

		if(Base::checkTamanho($value, $tamanhoCampo)) {

			$this->codServico = Base::preencherNumeros($value, $tamanhoCampo);
		}
		else {

			echo "Tamanho do Registro Incorreto. Campo 'Codigo do Serviço'.";
		}
	}



	function setLiteralServico($value = 'COBRANCA') {

		$tamanhoCampo = 15;

		if(Base::checkTamanho($value, $tamanhoCampo)) {

			$this->literalServico = Base::preencherStrings($value, $tamanhoCampo);
		}
		else {

			echo "Tamanho do Registro Incorreto. Campo 'Literal de Serviço'.";
		}
	}



	function setCodigoEmpresa($value = '') {

		$tamanhoCampo = 20;

		if(Base::checkTamanho($value, $tamanhoCampo)) {

			$this->codEmpresa = Base::preencherNumeros($value, $tamanhoCampo);
		}
		else {

			echo "Tamanho do Registro Incorreto. Campo 'Codigo da Empresa'.";
		}
	}



	function setNomeEmpresa($value = '') {

		$tamanhoCampo = 30;

		if(Base::checkTamanho($value, $tamanhoCampo)) {

			$this->nomeEmpresa = Base::preencherStrings($value, $tamanhoCampo);
		}
		else {

			echo "Tamanho do Registro Incorreto. Campo 'Nome da Empresa'.";
		}
	}



	function setNumeroBradesco($value = '237') {

		$tamanhoCampo = 3;

		if(Base::checkTamanho($value, $tamanhoCampo)) {

			$this->numeroBradesco = Base::preencherNumeros($value, $tamanhoCampo);
		}
		else {

			echo "Tamanho do Registro Incorreto. Campo 'Numero do Bradesco'.";
		}
	}



	function setNomeBanco($value = 'BRADESCO') {

		$tamanhoCampo = 15;

		if(Base::checkTamanho($value, $tamanhoCampo)) {

			$this->nomeBanco = Base::preencherStrings($value, $tamanhoCampo);
		}
		else {

			echo "Tamanho do Registro Incorreto. Campo 'Nome do Banco'.";
		}
	}


	// DUVIDA: formato da data utilizado? 6 digitos?
	function setDataGravacaoArq($value = "") {

		$tamanhoCampo = 6;

		if($value == "") {

			$value = str_replace(" ", "", date("d m y"));
		}

		if(Base::checkTamanho($value, $tamanhoCampo)) {

			$this->dataGravacaoArq = Base::preencherNumeros($value, $tamanhoCampo);
		}
		else {

			echo "Tamanho do Registro Incorreto. Campo 'Data de Gravação do Arquivo'.";
		}
	}



	function setBranco1($value = 'BRANCO') {

		$tamanhoCampo = 8;

		if(Base::checkTamanho($value, $tamanhoCampo)) {

			$this->branco1 = Base::preencherStrings($value, $tamanhoCampo);
		}
		else {

			echo "Tamanho do Registro Incorreto. Campo 'Branco 1'.";
		}
	}



	function setIdentificacaoSistema($value = 'MX') {

		$tamanhoCampo = 2;

		if(Base::checkTamanho($value, $tamanhoCampo)) {

			$this->identificacaoSistema = Base::preencherStrings($value, $tamanhoCampo);
		}
		else {

			echo "Tamanho do Registro Incorreto. Campo 'Identificação do Sistema'.";
		}
	}


	function setNumeroSequencialArq($value = '') {

		$tamanhoCampo = 7;

		if(Base::checkTamanho($value, $tamanhoCampo)) {

			$this->numeroSequencialArq = Base::preencherNumeros($value, $tamanhoCampo);
		}
		else {

			echo "Tamanho do Registro Incorreto. Campo 'Numero Sequencial do Arquivo'.";
		}
	}


	function setBranco2($value = 'BRANCO') {

		$tamanhoCampo = 277;

		if(Base::checkTamanho($value, $tamanhoCampo)) {

			$this->branco2 = Base::preencherStrings($value, $tamanhoCampo);
		}
		else {

			echo "Tamanho do Registro Incorreto. Campo 'Branco 2'.";
		}
	}


	function setNumeroSequencialRegistro($value = '33') {

		$tamanhoCampo = 6;

		if(Base::checkTamanho($value, $tamanhoCampo)) {

			$this->numeroSequecialRegistro = Base::preencherNumeros($value, $tamanhoCampo);
		}
		else {

			echo "Tamanho do Registro Incorreto. Campo 'Numero Sequencial do Registro'.";
		}
	}


	function setCampos($array) {

		$this->setRegistro($array['Registro']);
		$this->setArqRemessa($array['ArqRemessa']);
		$this->setLiteralRemessa($array['LiteralRemessa']);
		$this->setCodigoServico($array['CodigoServico']);
		$this->setLiteralServico($array['LiteralServico']);
		$this->setCodigoEmpresa($array['CodigoEmpresa']);
		$this->setNomeEmpresa($array['NomeEmpresa']);
		$this->setNumeroBradesco($array['NumeroBradesco']);
		$this->setNomeBanco($array['NomeBanco']);
		$this->setDataGravacaoArq($array['DataGravacaoArq']);
		$this->setBranco1($array['Branco1']);
		$this->setIdentificacaoSistema($array['IdentificacaoSistema']);
		$this->setNumeroSequencialArq($array['NumeroSequencialArq']);
		$this->setBranco2($array['Branco2']);
		$this->setNumeroSequencialRegistro($array['NumeroSequecialRegistro']);
	}


	function getRegistro() {

		$value = 
			$this->registro . 
			$this->arquivoDeRemessa . 
			$this->literalRemessa . 
			$this->codServico . 
			$this->literalServico . 
			$this->codEmpresa .
			$this->nomeEmpresa . 
			$this->numeroBradesco . 
			$this->nomeBanco . 
			$this->dataGravacaoArq . 
			$this->branco1 . 
			$this->identificacaoSistema .
			$this->numeroSequencialArq . 
			$this->branco2 . 
			$this->numeroSequecialRegistro;

		return $value;
	}
}
?>